<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <com.gh.gamecenter.feature.view.GameIconView
        android:id="@+id/iv_icon"
        android:layout_width="40dp"
        android:layout_height="40dp"
        android:layout_marginStart="12dp"
        app:gameIconBorderColor="@color/resource_border"
        app:gameIconBorderWidth="0.5dp"
        app:gameIconCornerRadius="10dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <Space
        android:id="@+id/space"
        android:layout_width="0dp"
        android:layout_height="40dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <View
        android:id="@+id/v_close_background"
        android:layout_width="32dp"
        android:layout_height="32dp"
        android:layout_marginEnd="4dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <ImageView
        android:id="@+id/iv_close"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:layout_constraintBottom_toBottomOf="@id/v_close_background"
        app:layout_constraintEnd_toEndOf="@id/v_close_background"
        app:layout_constraintStart_toStartOf="@id/v_close_background"
        app:layout_constraintTop_toTopOf="@id/v_close_background"
        app:srcCompat="@drawable/icon_notification_column_item_close" />

    <TextView
        android:id="@+id/tv_title"
        style="@style/TextBody2"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:layout_marginTop="2dp"
        android:ellipsize="end"
        android:includeFontPadding="false"
        android:maxLines="1"
        android:textColor="@color/text_theme"
        app:layout_constraintEnd_toStartOf="@id/v_close_background"
        app:layout_constraintStart_toEndOf="@id/iv_icon"
        app:layout_constraintTop_toTopOf="@id/space"
        app:layout_goneMarginStart="12dp"
        tools:text="《原神》新版本快来体验《原神》新版本快来体验《原神》新版本快来体验 " />

    <TextView
        android:id="@+id/tv_desc"
        style="@style/TextCaption2"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginBottom="2dp"
        android:ellipsize="end"
        android:includeFontPadding="false"
        android:maxLines="1"
        android:textColor="@color/text_secondary"
        app:layout_constraintBottom_toBottomOf="@id/space"
        app:layout_constraintEnd_toEndOf="@id/tv_title"
        app:layout_constraintStart_toStartOf="@id/tv_title"
        tools:text="新地图快来开荒新地图快来开荒新地图快来开荒新地图快来开荒新地图快来开荒新地图快来开荒" />
</androidx.constraintlayout.widget.ConstraintLayout>